Package org.apache.aries.jax.rs.openapi

## Class PropertyWrapper

- java.lang.Object
- - org.apache.aries.jax.rs.openapi.PropertyWrapper

    public class PropertyWrapper
    extends Object

### Constructor Summary

Constructors
`PropertyWrapper​(org.apache.aries.component.dsl.CachingServiceReference<io.swagger.v3.oas.models.OpenAPI> cachingServiceReference)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `applyBoolean​(String property, Consumer<Boolean> consumer)`
`void` `applyLong​(String property, Consumer<Long> consumer)`
`void` `applyString​(String property, Consumer<String> consumer)`
`<T extends Collection<String>> void` `applyStringCollection​(String property, Consumer<T> consumer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PropertyWrapper

    public PropertyWrapper​(org.apache.aries.component.dsl.CachingServiceReference<io.swagger.v3.oas.models.OpenAPI> cachingServiceReference)

### Method Detail

#### applyBoolean

    public void applyBoolean​(String property,
                             Consumer<Boolean> consumer)

#### applyString

    public void applyString​(String property,
                            Consumer<String> consumer)

#### applyStringCollection

    public <T extends Collection<String>> void applyStringCollection​(String property,
                                                                     Consumer<T> consumer)

#### applyLong

    public void applyLong​(String property,
                          Consumer<Long> consumer)